
package orchid.object;

/**
 * The Info object.<P>
 * Contains all the data concerning a  called to a Meeting.<BR>
 * @author Marc-Aurle DARCHE
 */
public class GuestInfo implements java.io.Serializable{

	private String name;
	private boolean essential;
	private int answer=-1;
	private int cf=0;

	public GuestInfo(String name, boolean essential){
		this.name=name;
		this.essential=essential;
	}

/** 
 * -1 : no answer, don't know
 *  0 : will not come
 *  1 : will come
 */
	public void setAnswer(int answer){
		this.answer=answer;
	}

	public void setCF(int cf){
		this.cf = cf;
	}

	public int getAnswer(){
		return this.answer;
	}

	public int getCF(){
		return this.cf;
	}

	public String getName(){
		return this.name;
	}

	public boolean getEssential(){
		return this.essential;
	}

	public String toString(){
		return name+" "+essential+" "+answer;
	}

}

