
package orchid.object;

/**
 * A class used to store information about servers.<P>
 * @author Marc-Aurle DARCHE
 */
public class ServerInfo implements java.io.Serializable{
	private String name;
	private String url;
	private int availability;
	private boolean master;

	public ServerInfo(String name, String url, int availability, boolean master){
		this.name=name;
		this.url=url;
		this.availability=availability;
		this.master=master;
	}

	public String getName(){
		return name;
	}

	public String getUrl(){
		return url;
	}

	public int getAvailability(){
		return availability;
	}

	public boolean getMaster(){
		return master;
	}

	public void setAvailability(int availability){
		this.availability=availability;
	}

	public void setMaster(boolean master){
		this.master=master;
	}

	public String toString(){
		return name+" "+url+" "+availability+" "+master;
	}
}

